Bug 126661 - Add "vanilla" and other precompiled kernel options
Summary: Add "vanilla" and other precompiled kernel options
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-24 14:34 UTC by Tim Keitt
Modified: 2015-01-04 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-19 04:04:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Keitt 2004-06-24 14:34:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040518 Firefox/0.8

Description of problem:
It would be really nice to have the option of installing kernels with
fewer patches / "features" added. I would suggest a "vanilla" (only
include necessary patches and options to work with FC), an
intermediate-complexity kernel with only the most stable patches /
compile options enabled and the full-blown patched and tweaked FC
kernel. I know I can recompile, but I'd rather 'yum install
kernel-vanilla' or similar. This would likely reduce the number of bug
reports as people having problems with all the added "features" of the
RH/FC kernels would fall back to a  less complex configuration. Just a
thought...

Version-Release number of selected component (if applicable):
NA

How reproducible:
Always

Steps to Reproduce:
NA
    

Actual Results:  NA

Expected Results:  NA

Additional info:

Comment 1 Arjan van de Ven 2004-06-24 14:35:55 UTC
that doesn't sound too good an idea to me on first sight; our kernels
only have like 3 or 4 big features anyway and it's a lot of work to do
more kernels.... for what gain?

Comment 2 Dave Jones 2004-06-30 12:41:05 UTC
I think 'alternative' kernel packages should probably belong in
fedora-extras when that gets off the ground.

There may be some value in a vanilla package for regression testing.


Comment 3 Dave Jones 2004-11-19 04:04:36 UTC
Arjan is now packaging up 2.6-ac kernels, which can be found at
http://www.kernel.org/pub/linux/kernel/people/arjan/ac/


Note You need to log in before you can comment on or make changes to this bug.